> ## Documentation Index
> Fetch the complete documentation index at: https://axiom.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update view



## OpenAPI

````yaml v2 put /views/{id}
openapi: 3.0.0
info:
  description: A public and stable API for interacting with axiom services
  title: Axiom
  termsOfService: http://axiom.co/terms
  contact:
    name: Axiom support team
    url: https://axiom.co
    email: hello@axiom.co
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 2.0.0
servers:
  - url: https://api.axiom.co/v2/
security:
  - bearerAuth: []
paths:
  /views/{id}:
    put:
      tags:
        - views
      operationId: updateView
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/View'
      responses:
        '200':
          description: View
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/View'
      security:
        - Auth:
            - views|update
components:
  requestBodies:
    View:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/View'
      required: true
  schemas:
    View:
      type: object
      required:
        - name
        - aplQuery
      properties:
        aplQuery:
          type: string
        datasets:
          type: array
          items:
            type: string
        description:
          type: string
        name:
          type: string
        sharedByOrg:
          description: ID of the org that shared this resource, if it's shared
          type: string
        sharedByOrgName:
          description: The name of the org that shared this resource, if it's shared
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
    Auth:
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          tokenUrl: https://www.googleapis.com/oauth2/v4/token
          scopes: {}

````